Bug 653176 - Changing SELinux settings results in an unrelated warning.
Summary: Changing SELinux settings results in an unrelated warning.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils
Version: 14
Hardware: i686
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-14 21:46 UTC by Chris Simpson
Modified: 2010-11-24 21:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-24 21:07:50 UTC
Type: ---


Attachments (Terms of Use)

Description Chris Simpson 2010-11-14 21:46:10 UTC
Description of problem:
Changing SELinux settings results in a warning

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Attempt to change any SELinux setting
2.
3.
  
Actual results:

[root@localhost /]# /usr/sbin/setsebool -P mmap_low_allowed 1

/etc/selinux/targeted/contexts/files/file_contexts.local:  line 4 has invalid regex /home/Chris/.mozilla/firefox/zvxhy68m.default/extensions/{340c2bbc-ce74-4362-90b5-7c26312808ef}/platform/Linux_x86-gcc3/components/WeaveCrypto.so:  Invalid content of \{\}"

Expected results:
No warnings

Additional info:
The firefox line was for firefox sync to allow it to function properly and has never caused problems until now.

Comment 1 Miroslav Grepl 2010-11-15 12:17:06 UTC
Could you execute


# semanage fcontext -d -t textrel_shlib_t /home/Chris/.mozilla/firefox/zvxhy68m.default/extensions/{340c2bbc-ce74-4362-90b5-7c26312808ef}/platform/Linux_x86-gcc3/components/WeaveCrypto.so


Then try to again it.

Comment 2 Chris Simpson 2010-11-24 21:07:50 UTC
Seems to have worked, no more warnings, thanks.


Note You need to log in before you can comment on or make changes to this bug.